Bug 315078 - Storage Crash - QDBus
Summary: Storage Crash - QDBus
Status: RESOLVED FIXED
Alias: None
Product: nepomuk
Classification: Unclassified
Component: storage (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Nepomuk Bugs Coordination
URL:
Keywords:
: 317047 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-02-13 16:37 UTC by Benoit Leffray
Modified: 2013-08-29 23:46 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.11.1


Attachments
New crash information added by DrKonqi (11.52 KB, text/plain)
2013-03-18 21:36 UTC, Parag W
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Benoit Leffray 2013-02-13 16:37:23 UTC
Application: nepomukservicestub (0.1.0)
KDE Platform Version: 4.10.00
Qt Version: 4.8.3
Operating System: Linux 3.5.0-23-generic x86_64
Distribution: Ubuntu 12.10

-- Information about the crash:
- What I was doing when the application crashed:

I was removing a large number of files within a file tree. 
then Nepokum crashed at that very moment. I believe the 2 could be erlated via the fact that Nepomuk had probably indexed files that weere then deleted.

-- Backtrace:
Application: Nepomuk Service Stub (nepomukservicestub), signal: Aborted
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fdb66b57780 (LWP 1834))]

Thread 14 (Thread 0x7fdb563ad700 (LWP 2318)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fdb6e6c304b in wait (time=18446744073709551615, this=0xae4b20) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xaf6208, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fdb6e6b654f in QThreadPoolThread::run (this=0xb08450) at concurrent/qthreadpool.cpp:141
#4  0x00007fdb6e6c2aec in QThreadPrivate::start (arg=0xb08450) at thread/qthread_unix.cpp:338
#5  0x00007fdb6c046e9a in start_thread (arg=0x7fdb563ad700) at pthread_create.c:308
#6  0x00007fdb6c34fcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7fdb46ffd700 (LWP 2334)):
#0  0x00007fdb6c04a05d in __pthread_mutex_unlock_usercnt (mutex=<optimized out>, decr=<optimized out>) at pthread_mutex_unlock.c:52
#1  __pthread_mutex_unlock (mutex=0x7fdb40002bb0) at pthread_mutex_unlock.c:290
#2  0x00007fdb6b7a9e51 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fdb6b76cc5c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fdb6b76cea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fdb6e7edc16 in QEventDispatcherGlib::processEvents (this=0x7fdb40003460, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007fdb6e7be2bf in QEventLoop::processEvents (this=this@entry=0x7fdb46ffcdb0, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007fdb6e7be548 in QEventLoop::exec (this=0x7fdb46ffcdb0, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007fdb6e6bfb10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#9  0x00007fdb5d7e2ede in ?? () from /usr/lib/libsopranoserver.so.1
#10 0x00007fdb6e6c2aec in QThreadPrivate::start (arg=0xe06d60) at thread/qthread_unix.cpp:338
#11 0x00007fdb6c046e9a in start_thread (arg=0x7fdb46ffd700) at pthread_create.c:308
#12 0x00007fdb6c34fcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7fdb47fff700 (LWP 2338)):
#0  0x00007fdb6b76a88d in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fdb6b76c597 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fdb6b76ccab in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fdb6b76cea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fdb6e7edc16 in QEventDispatcherGlib::processEvents (this=0x7fdb380008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007fdb6e7be2bf in QEventLoop::processEvents (this=this@entry=0x7fdb47ffedb0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007fdb6e7be548 in QEventLoop::exec (this=0x7fdb47ffedb0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007fdb6e6bfb10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#8  0x00007fdb5d7e2ede in ?? () from /usr/lib/libsopranoserver.so.1
#9  0x00007fdb6e6c2aec in QThreadPrivate::start (arg=0xe0d310) at thread/qthread_unix.cpp:338
#10 0x00007fdb6c046e9a in start_thread (arg=0x7fdb47fff700) at pthread_create.c:308
#11 0x00007fdb6c34fcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7fdb553ab700 (LWP 2342)):
#0  QTimerInfoList::updateCurrentTime (this=this@entry=0x7fdb2c002860) at kernel/qeventdispatcher_unix.cpp:342
#1  0x00007fdb6e7ee763 in QTimerInfoList::timerWait (this=0x7fdb2c002860, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#2  0x00007fdb6e7ed2cc in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7fdb553aabf4) at kernel/qeventdispatcher_glib.cpp:136
#3  0x00007fdb6e7ed375 in timerSourcePrepare (source=<optimized out>, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#4  0x00007fdb6b76c618 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fdb6b76ccab in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007fdb6b76cea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#7  0x00007fdb6e7edc16 in QEventDispatcherGlib::processEvents (this=0x7fdb2c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#8  0x00007fdb6e7be2bf in QEventLoop::processEvents (this=this@entry=0x7fdb553aadb0, flags=...) at kernel/qeventloop.cpp:149
#9  0x00007fdb6e7be548 in QEventLoop::exec (this=0x7fdb553aadb0, flags=...) at kernel/qeventloop.cpp:204
#10 0x00007fdb6e6bfb10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#11 0x00007fdb5d7e2ede in ?? () from /usr/lib/libsopranoserver.so.1
#12 0x00007fdb6e6c2aec in QThreadPrivate::start (arg=0xe0da90) at thread/qthread_unix.cpp:338
#13 0x00007fdb6c046e9a in start_thread (arg=0x7fdb553ab700) at pthread_create.c:308
#14 0x00007fdb6c34fcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#15 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7fdb55bac700 (LWP 2369)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fdb6e6c304b in wait (time=18446744073709551615, this=0xae4b20) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xaf6208, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fdb6e6b654f in QThreadPoolThread::run (this=0xe0c880) at concurrent/qthreadpool.cpp:141
#4  0x00007fdb6e6c2aec in QThreadPrivate::start (arg=0xe0c880) at thread/qthread_unix.cpp:338
#5  0x00007fdb6c046e9a in start_thread (arg=0x7fdb55bac700) at pthread_create.c:308
#6  0x00007fdb6c34fcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7fdb467fc700 (LWP 2529)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fdb6e6c304b in wait (time=18446744073709551615, this=0xae4b20) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xaf6208, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fdb6e6b654f in QThreadPoolThread::run (this=0xe0bb90) at concurrent/qthreadpool.cpp:141
#4  0x00007fdb6e6c2aec in QThreadPrivate::start (arg=0xe0bb90) at thread/qthread_unix.cpp:338
#5  0x00007fdb6c046e9a in start_thread (arg=0x7fdb467fc700) at pthread_create.c:308
#6  0x00007fdb6c34fcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7fdb45e28700 (LWP 3375)):
#0  0x00007fdb6c344303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fdb6b76cd84 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fdb6b76cea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fdb6e7edc16 in QEventDispatcherGlib::processEvents (this=0x7fdb240008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007fdb6e7be2bf in QEventLoop::processEvents (this=this@entry=0x7fdb45e27db0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fdb6e7be548 in QEventLoop::exec (this=0x7fdb45e27db0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007fdb6e6bfb10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007fdb5d7e2ede in ?? () from /usr/lib/libsopranoserver.so.1
#8  0x00007fdb6e6c2aec in QThreadPrivate::start (arg=0xe11e40) at thread/qthread_unix.cpp:338
#9  0x00007fdb6c046e9a in start_thread (arg=0x7fdb45e28700) at pthread_create.c:308
#10 0x00007fdb6c34fcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7fdb2bfff700 (LWP 13487)):
#0  0x00007fdb6c048fc0 in __pthread_mutex_lock (mutex=0x7fdb18000a40) at pthread_mutex_lock.c:113
#1  0x00007fdb6b7a9e21 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fdb6b76c996 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fdb6b76cde8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fdb6b76cea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fdb6e7edc16 in QEventDispatcherGlib::processEvents (this=0x7fdb18001750, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007fdb6e7be2bf in QEventLoop::processEvents (this=this@entry=0x7fdb2bffedb0, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007fdb6e7be548 in QEventLoop::exec (this=0x7fdb2bffedb0, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007fdb6e6bfb10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#9  0x00007fdb5d7e2ede in ?? () from /usr/lib/libsopranoserver.so.1
#10 0x00007fdb6e6c2aec in QThreadPrivate::start (arg=0xd95220) at thread/qthread_unix.cpp:338
#11 0x00007fdb6c046e9a in start_thread (arg=0x7fdb2bfff700) at pthread_create.c:308
#12 0x00007fdb6c34fcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7fdb45627700 (LWP 14924)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fdb6e6c304b in wait (time=18446744073709551615, this=0xae4b20) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xaf6208, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fdb6e6b654f in QThreadPoolThread::run (this=0xe1ead0) at concurrent/qthreadpool.cpp:141
#4  0x00007fdb6e6c2aec in QThreadPrivate::start (arg=0xe1ead0) at thread/qthread_unix.cpp:338
#5  0x00007fdb6c046e9a in start_thread (arg=0x7fdb45627700) at pthread_create.c:308
#6  0x00007fdb6c34fcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7fdb54baa700 (LWP 14925)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fdb6e6c304b in wait (time=18446744073709551615, this=0xae4b20) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xaf6208, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fdb6e6b654f in QThreadPoolThread::run (this=0xe0cc90) at concurrent/qthreadpool.cpp:141
#4  0x00007fdb6e6c2aec in QThreadPrivate::start (arg=0xe0cc90) at thread/qthread_unix.cpp:338
#5  0x00007fdb6c046e9a in start_thread (arg=0x7fdb54baa700) at pthread_create.c:308
#6  0x00007fdb6c34fcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fdb477fe700 (LWP 14926)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fdb6e6c304b in wait (time=18446744073709551615, this=0xae4b20) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xaf6208, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fdb6e6b654f in QThreadPoolThread::run (this=0xe3bbd0) at concurrent/qthreadpool.cpp:141
#4  0x00007fdb6e6c2aec in QThreadPrivate::start (arg=0xe3bbd0) at thread/qthread_unix.cpp:338
#5  0x00007fdb6c046e9a in start_thread (arg=0x7fdb477fe700) at pthread_create.c:308
#6  0x00007fdb6c34fcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fdb2b7fe700 (LWP 16873)):
#0  0x00007fdb6c3428bd in read () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007fdb6b7a915f in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fdb6b76c914 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fdb6b76cd22 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fdb6b76cea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fdb6e7edc16 in QEventDispatcherGlib::processEvents (this=0x7fdb1c001f00, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007fdb6e7be2bf in QEventLoop::processEvents (this=this@entry=0x7fdb2b7fddb0, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007fdb6e7be548 in QEventLoop::exec (this=0x7fdb2b7fddb0, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007fdb6e6bfb10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#9  0x00007fdb5d7e2ede in ?? () from /usr/lib/libsopranoserver.so.1
#10 0x00007fdb6e6c2aec in QThreadPrivate::start (arg=0xe36ff0) at thread/qthread_unix.cpp:338
#11 0x00007fdb6c046e9a in start_thread (arg=0x7fdb2b7fe700) at pthread_create.c:308
#12 0x00007fdb6c34fcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fdb2affd700 (LWP 20745)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:215
#1  0x00007fdb6e6c2fa7 in wait (time=30000, this=0xafc250) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xafbab8, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fdb6e6b654f in QThreadPoolThread::run (this=0xb0c5f0) at concurrent/qthreadpool.cpp:141
#4  0x00007fdb6e6c2aec in QThreadPrivate::start (arg=0xb0c5f0) at thread/qthread_unix.cpp:338
#5  0x00007fdb6c046e9a in start_thread (arg=0x7fdb2affd700) at pthread_create.c:308
#6  0x00007fdb6c34fcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fdb66b57780 (LWP 1834)):
[KCrash Handler]
#6  0x00007fdb6c292425 in __GI_raise (sig=<optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#7  0x00007fdb6c295b8b in __GI_abort () at abort.c:91
#8  0x00007fdb6c2d039e in __libc_message (do_abort=2, fmt=0x7fdb6c3da028 "*** glibc detected *** %s: %s: 0x%s ***\n") at ../sysdeps/unix/sysv/linux/libc_fatal.c:201
#9  0x00007fdb6c2dab96 in malloc_printerr (action=3, str=0x7fdb6c3d694b "invalid fastbin entry (free)", ptr=<optimized out>) at malloc.c:5007
#10 0x00007fdb6e70c3b8 in QString::free (d=0x907970) at tools/qstring.cpp:1235
#11 0x00007fdb6e3f003a in ~QString (this=0x7fffcaaa9940, __in_chrg=<optimized out>) at ../../include/QtCore/../../src/corelib/tools/qstring.h:880
#12 QDBusConnectionPrivate::activateCall (this=this@entry=0x93a040, object=0xae3e60, flags=240, msg=...) at qdbusintegrator.cpp:861
#13 0x00007fdb6e3f0677 in QDBusConnectionPrivate::activateObject (this=0x93a040, node=..., msg=..., pathStartPos=<optimized out>) at qdbusintegrator.cpp:1443
#14 0x00007fdb6e3f0a2b in QDBusActivateObjectEvent::placeMetaCall (this=0xe4a970) at qdbusintegrator.cpp:1537
#15 0x00007fdb6e7d443e in QObject::event (this=0xae3e60, e=<optimized out>) at kernel/qobject.cpp:1195
#16 0x00007fdb6cae9e9c in QApplicationPrivate::notify_helper (this=this@entry=0x89e2a0, receiver=receiver@entry=0xae3e60, e=e@entry=0xe4a970) at kernel/qapplication.cpp:4562
#17 0x00007fdb6caee30a in QApplication::notify (this=0x7fffcaaaa600, receiver=0xae3e60, e=0xe4a970) at kernel/qapplication.cpp:4423
#18 0x00007fdb6daef636 in KApplication::notify (this=0x7fffcaaaa600, receiver=0xae3e60, event=0xe4a970) at ../../kdeui/kernel/kapplication.cpp:311
#19 0x00007fdb6e7bf56e in QCoreApplication::notifyInternal (this=0x7fffcaaaa600, receiver=receiver@entry=0xae3e60, event=event@entry=0xe4a970) at kernel/qcoreapplication.cpp:915
#20 0x00007fdb6e7c33f1 in sendEvent (event=0xe4a970, receiver=0xae3e60) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#21 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x8792f0) at kernel/qcoreapplication.cpp:1539
#22 0x00007fdb6e7eda63 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#23 postEventSourceDispatch (s=0x894b80) at kernel/qeventdispatcher_glib.cpp:279
#24 0x00007fdb6b76cab5 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#25 0x00007fdb6b76cde8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#26 0x00007fdb6b76cea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#27 0x00007fdb6e7edbf6 in QEventDispatcherGlib::processEvents (this=0x87ac20, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#28 0x00007fdb6cb8ec1e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#29 0x00007fdb6e7be2bf in QEventLoop::processEvents (this=this@entry=0x7fffcaaaa3e0, flags=...) at kernel/qeventloop.cpp:149
#30 0x00007fdb6e7be548 in QEventLoop::exec (this=0x7fffcaaaa3e0, flags=...) at kernel/qeventloop.cpp:204
#31 0x00007fdb6e7c3708 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#32 0x0000000000403dd0 in ?? ()
#33 0x00007fdb6c27d76d in __libc_start_main (main=0x4034d0, argc=2, ubp_av=0x7fffcaaaa848, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fffcaaaa838) at libc-start.c:226
#34 0x00000000004040f1 in _start ()

Possible duplicates by query: bug 314055, bug 311589, bug 309216, bug 307561, bug 306284.

Reported using DrKonqi
Comment 1 Parag W 2013-03-18 21:36:26 UTC
Created attachment 78191 [details]
New crash information added by DrKonqi

nepomukservicestub (0.1.0) on KDE Platform 4.10.1 using Qt 4.8.4

- What I was doing when the application crashed:

Nothing needs to be done in particular to get nepomuk services stub to crash dozens of times during typical day of use.

-- Backtrace (Reduced):
#6  0x0000003dd4835ba5 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:63
#7  0x0000003dd4837358 in __GI_abort () at abort.c:90
[...]
#9  0x0000003dd487ca8e in malloc_printerr (ptr=0xf565f0, str=0x3dd4977a0e "invalid fastbin entry (free)", action=3) at malloc.c:4969
#10 _int_free (av=0x3dd4bb1740 <main_arena>, p=0xf565e0, have_lock=0) at malloc.c:3826
#11 0x00000037ba2c5318 in QString::free (d=0xf565f0) at tools/qstring.cpp:1235
Comment 2 Simeon Bird 2013-05-05 04:07:33 UTC
*** Bug 317047 has been marked as a duplicate of this bug. ***
Comment 3 Vishesh Handa 2013-08-23 12:12:56 UTC
Git commit 5175f919051e575e4d5d415996287018560157aa by Vishesh Handa.
Committed on 11/08/2013 at 07:12.
Pushed by vhanda into branch 'KDE/4.11'.

Use KDBusConnectionPool instead of QDBusConnection

QDBusConnection cannot be used across multiple threads
Related: bug 321764, bug 319165

REVIEW: 112011

M  +2    -2    services/storage/backup/backupmanager.cpp
M  +5    -4    services/storage/datamanagementcommand.cpp
M  +5    -4    services/storage/ontologyloader.cpp
M  +4    -3    services/storage/query/folderconnection.cpp
M  +6    -3    services/storage/query/queryservice.cpp
M  +2    -1    services/storage/repository.cpp
M  +5    -3    services/storage/resourcewatcherconnection.cpp
M  +5    -3    services/storage/resourcewatchermanager.cpp
M  +3    -2    services/storage/storage.cpp

http://commits.kde.org/nepomuk-core/5175f919051e575e4d5d415996287018560157aa